Skip to main content
GET
Get exchange rate between specified currencies

Authorizations

x-client-secret
string
header
required

Your secret API key. Keep this secure and never expose it in client-side code.

Query Parameters

from
string
required

Source currency code (e.g., usd)

Example:

"usd"

to
string
required

Target currency code (e.g., eur)

Example:

"eur"

Response

Exchange rate retrieved successfully

from
string
required

Source currency code (USD for USDC)

Example:

"usd"

to
string
required

Target currency code (EUR for EURC)

Example:

"eur"

midmarket_rate
string
required

Mid-market exchange rate from source to target currency

Example:

"0.85000"

buy_rate
string
required

Rate for buying target currency (what you get when converting from source to target)

Example:

"0.84500"

sell_rate
string
required

Rate for selling target currency (what you pay when converting from target to source)

Example:

"0.85500"

timestamp
string

Timestamp when the exchange rate was last updated

Example:

"2024-01-15T10:30:00Z"